/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.fleet.vehicle.wizard;

import javax.swing.JPanel;
import org.openide.util.NbBundle;

@NbBundle.Messages({"VehiclePropertiesStepName=Vehicle details"})
final class VehicleVisualPanel2 extends JPanel {

    /**
     * Creates new form VehicleVisualPanel2
     */
    public VehicleVisualPanel2() {
        initComponents();
    }

    @Override
    public String getName() {
        return Bundle.VehiclePropertiesStepName();
    }

    public int getHorsepowerValue() {
        return Integer.parseInt(horsepowerField.getValue().toString());
    }

    public void setHorsepowerValue(Object horsepower) {
        if (horsepower != null) {
            horsepowerField.setValue(horsepower);
        }
    }

    public double getDisplacementValue() {
        return Double.parseDouble(displacementField.getValue().toString());
    }

    public void setDisplacementValue(Object displacement) {
        if (displacement != null) {
            displacementField.setValue(displacement);
        }
    }

    public int getFuelTankCapacityValue() {
        return Integer.parseInt(fuelTankCapacityField.getValue().toString());
    }

    public void setFuelTankCapacityValue(Object fuelTankCapacity) {
        if (fuelTankCapacity != null) {
            fuelTankCapacityField.setValue(fuelTankCapacity);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        horsepowerLabel = new javax.swing.JLabel();
        horsepowerField = new javax.swing.JSpinner();
        displacementLabel = new javax.swing.JLabel();
        displacementField = new javax.swing.JSpinner();
        fuelTankCapacityLabel = new javax.swing.JLabel();
        fuelTankCapacityField = new javax.swing.JSpinner();

        org.openide.awt.Mnemonics.setLocalizedText(horsepowerLabel, org.openide.util.NbBundle.getMessage(VehicleVisualPanel2.class, "VehicleVisualPanel2.horsepowerLabel.text")); // NOI18N

        horsepowerField.setModel(new javax.swing.SpinnerNumberModel());

        org.openide.awt.Mnemonics.setLocalizedText(displacementLabel, org.openide.util.NbBundle.getMessage(VehicleVisualPanel2.class, "VehicleVisualPanel2.displacementLabel.text")); // NOI18N

        displacementField.setModel(new javax.swing.SpinnerNumberModel(Double.valueOf(0.0d), null, null, Double.valueOf(0.1d)));

        org.openide.awt.Mnemonics.setLocalizedText(fuelTankCapacityLabel, org.openide.util.NbBundle.getMessage(VehicleVisualPanel2.class, "VehicleVisualPanel2.fuelTankCapacityLabel.text")); // NOI18N

        fuelTankCapacityField.setModel(new javax.swing.SpinnerNumberModel());

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(fuelTankCapacityLabel)
                    .addComponent(displacementLabel)
                    .addComponent(horsepowerLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(horsepowerField, javax.swing.GroupLayout.DEFAULT_SIZE, 68, Short.MAX_VALUE)
                    .addComponent(displacementField)
                    .addComponent(fuelTankCapacityField))
                .addContainerGap(179, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(horsepowerLabel)
                    .addComponent(horsepowerField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(displacementLabel)
                    .addComponent(displacementField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(fuelTankCapacityLabel)
                    .addComponent(fuelTankCapacityField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(198, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JSpinner displacementField;
    private javax.swing.JLabel displacementLabel;
    private javax.swing.JSpinner fuelTankCapacityField;
    private javax.swing.JLabel fuelTankCapacityLabel;
    private javax.swing.JSpinner horsepowerField;
    private javax.swing.JLabel horsepowerLabel;
    // End of variables declaration//GEN-END:variables
}
